%define pypi_name webunit

Name:      python-%{pypi_name}
Version:   1.3.10
Release:   %mkrel 8
Summary:   Unittest Your Websites With Code That Acts Like a Web Browser
Group:     Development/Python
License:   BSD
URL:       https://github.com/nuxeo/FunkLoad/
Source0:   %{pypi_source}
BuildArch: noarch

%description
Webunit is a framework for unit testing websites.

%package -n     python3-%{pypi_name}
Summary:        Unittest Your Websites With Code That Acts Like a Web Browser
Group:          Development/Python
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-devel
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Webunit is a framework for unit testing websites.

%prep
%setup -q -n %{pypi_name}-%{version}
chmod 644 *.txt
2to3 -w .

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files webunit

rm -rf %{buildroot}%{python3_sitelib}/demo

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc CHANGES.txt README.txt


%changelog
* Sat Dec 16 2023 papoteur <papoteur> 1.3.10-8.mga10
+ Revision: 2018429
- rebuild for python 3.12

* Wed Mar 23 2022 umeabot <umeabot> 1.3.10-7.mga9
+ Revision: 1823096
- Mageia 9 Mass Rebuild

* Fri Feb 18 2022 mrambo3501 <mrambo3501> 1.3.10-6.mga9
+ Revision: 1780061
- rebuild for python-3.10

* Thu Apr 01 2021 guillomovitch <guillomovitch> 1.3.10-5.mga9
+ Revision: 1712366
- rebuild for python 3.9

* Thu Jul 23 2020 ovitters <ovitters> 1.3.10-4.mga8
+ Revision: 1608328
- rebuild for removing pythonegg buildrequires in srpm

* Sun Feb 16 2020 umeabot <umeabot> 1.3.10-3.mga8
+ Revision: 1534947
- Mageia 8 Mass Rebuild

* Mon Oct 07 2019 tv <tv> 1.3.10-2.mga8
+ Revision: 1450329
- autoconvert to py3 (needed for funkload)

* Fri Sep 21 2018 umeabot <umeabot> 1.3.10-2.mga7
+ Revision: 1290565
- Mageia 7 Mass Rebuild

* Wed Jan 17 2018 guillomovitch <guillomovitch> 1.3.10-1.mga7
+ Revision: 1194241
- imported package python-webunit

